List payment requests
curl --request GET \
--url https://api.withacclaim.com/v1/payment_requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withacclaim.com/v1/payment_requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withacclaim.com/v1/payment_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "prq_AbC123XyZ",
"status": "RequiresPaymentMethod",
"amount": 125000,
"currency": "USD",
"payer_id": "pyr_AbC123XyZ",
"description": "Premium payment for policy #POL-2025-001",
"reference": "ORD-2025-001",
"idempotency_key": "idem_ord_2025_001",
"requires_tokenization": false,
"allows_tokenization": false,
"payment_method": {},
"session_identifier": "prq_AbC123XyZ_abc123...",
"shipping_address": {
"country": "US",
"address1": "123 Main St",
"address2": "Suite 100",
"city": "New York",
"state": "NY",
"postal_code": "10001"
},
"failure_code": "card_declined",
"failure_message": "Card was declined",
"expires_at": "2025-12-31T23:59:59Z",
"completed_at": "2025-10-08T18:25:00Z",
"ip_address": "192.168.1.1",
"user_agent": "Mozilla/5.0...",
"metadata": {
"custom_field": "value",
"source": "api"
},
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
}
],
"next_cursor": "<string>",
"has_more": true
}{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}Payment Requests
List payment requests
GET
/
payment_requests
List payment requests
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on July 8, 2026
⌘I